# -*- encoding: utf-8 -*-
# stub: sup 1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "sup".freeze
  s.version = "1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["William Morgan".freeze, "Gaute Hope".freeze, "Hamish Downer".freeze, "Matthieu Rakotojaona".freeze]
  s.date = "2024-07-18"
  s.description = "    Sup is a console-based email client for people with a lot of email.\n\n    * GMail-like thread-centered archiving, tagging and muting\n    * Handling mail from multiple mbox and Maildir sources\n    * Blazing fast full-text search with a rich query language\n    * Multiple accounts - pick the right one when sending mail\n    * Ruby-programmable hooks\n    * Automatically tracking recent contacts\n".freeze
  s.email = "supmua@googlegroups.com".freeze
  s.executables = ["sup".freeze, "sup-add".freeze, "sup-config".freeze, "sup-dump".freeze, "sup-import-dump".freeze, "sup-recover-sources".freeze, "sup-sync".freeze, "sup-sync-back-maildir".freeze, "sup-tweak-labels".freeze]
  s.extra_rdoc_files = ["man/sup-add.1".freeze, "man/sup-config.1".freeze, "man/sup-dump.1".freeze, "man/sup-import-dump.1".freeze, "man/sup-psych-ify-config-files.1".freeze, "man/sup-recover-sources.1".freeze, "man/sup-sync-back-maildir.1".freeze, "man/sup-sync.1".freeze, "man/sup-tweak-labels.1".freeze, "man/sup.1".freeze]
  s.files = [".github/workflows/checks.yml".freeze, ".gitignore".freeze, ".gitmodules".freeze, ".rubocop.yml".freeze, "CONTRIBUTORS".freeze, "Gemfile".freeze, "HACKING".freeze, "History.txt".freeze, "LICENSE".freeze, "Manifest.txt".freeze, "README.md".freeze, "Rakefile".freeze, "ReleaseNotes".freeze, "bin/sup".freeze, "bin/sup-add".freeze, "bin/sup-config".freeze, "bin/sup-dump".freeze, "bin/sup-import-dump".freeze, "bin/sup-recover-sources".freeze, "bin/sup-sync".freeze, "bin/sup-sync-back-maildir".freeze, "bin/sup-tweak-labels".freeze, "contrib/colorpicker.rb".freeze, "contrib/completion/_sup.bash".freeze, "contrib/completion/_sup.zsh".freeze, "contrib/nix/Gemfile".freeze, "contrib/nix/Gemfile.lock".freeze, "contrib/nix/README".freeze, "contrib/nix/gem-install-shell.nix".freeze, "contrib/nix/gemset.nix".freeze, "contrib/nix/ruby2.4-Gemfile.lock".freeze, "contrib/nix/ruby2.4-gemset.nix".freeze, "contrib/nix/ruby2.4-shell.nix".freeze, "contrib/nix/ruby2.5-Gemfile.lock".freeze, "contrib/nix/ruby2.5-gemset.nix".freeze, "contrib/nix/ruby2.5-shell.nix".freeze, "contrib/nix/ruby2.6-Gemfile.lock".freeze, "contrib/nix/ruby2.6-gemset.nix".freeze, "contrib/nix/ruby2.6-shell.nix".freeze, "contrib/nix/ruby2.7-shell.nix".freeze, "contrib/nix/ruby3.0-shell.nix".freeze, "contrib/nix/ruby3.1-shell.nix".freeze, "contrib/nix/ruby3.2-shell.nix".freeze, "contrib/nix/ruby3.3-shell.nix".freeze, "contrib/nix/test-all-rubies.sh".freeze, "devel/console.sh".freeze, "devel/count-loc.sh".freeze, "devel/load-index.rb".freeze, "devel/profile.rb".freeze, "devel/start-console.rb".freeze, "doc/FAQ.txt".freeze, "doc/Hooks.txt".freeze, "doc/Philosophy.txt".freeze, "doc/wiki".freeze, "ext/mkrf_conf_xapian.rb".freeze, "lib/sup.rb".freeze, "lib/sup/account.rb".freeze, "lib/sup/buffer.rb".freeze, "lib/sup/colormap.rb".freeze, "lib/sup/contact.rb".freeze, "lib/sup/crypto.rb".freeze, "lib/sup/draft.rb".freeze, "lib/sup/hook.rb".freeze, "lib/sup/horizontal_selector.rb".freeze, "lib/sup/idle.rb".freeze, "lib/sup/index.rb".freeze, "lib/sup/interactive_lock.rb".freeze, "lib/sup/keymap.rb".freeze, "lib/sup/label.rb".freeze, "lib/sup/logger.rb".freeze, "lib/sup/logger/singleton.rb".freeze, "lib/sup/maildir.rb".freeze, "lib/sup/mbox.rb".freeze, "lib/sup/message.rb".freeze, "lib/sup/message_chunks.rb".freeze, "lib/sup/mode.rb".freeze, "lib/sup/modes/buffer_list_mode.rb".freeze, "lib/sup/modes/completion_mode.rb".freeze, "lib/sup/modes/compose_mode.rb".freeze, "lib/sup/modes/console_mode.rb".freeze, "lib/sup/modes/contact_list_mode.rb".freeze, "lib/sup/modes/edit_message_async_mode.rb".freeze, "lib/sup/modes/edit_message_mode.rb".freeze, "lib/sup/modes/file_browser_mode.rb".freeze, "lib/sup/modes/forward_mode.rb".freeze, "lib/sup/modes/help_mode.rb".freeze, "lib/sup/modes/inbox_mode.rb".freeze, "lib/sup/modes/label_list_mode.rb".freeze, "lib/sup/modes/label_search_results_mode.rb".freeze, "lib/sup/modes/line_cursor_mode.rb".freeze, "lib/sup/modes/log_mode.rb".freeze, "lib/sup/modes/person_search_results_mode.rb".freeze, "lib/sup/modes/poll_mode.rb".freeze, "lib/sup/modes/reply_mode.rb".freeze, "lib/sup/modes/resume_mode.rb".freeze, "lib/sup/modes/scroll_mode.rb".freeze, "lib/sup/modes/search_list_mode.rb".freeze, "lib/sup/modes/search_results_mode.rb".freeze, "lib/sup/modes/text_mode.rb".freeze, "lib/sup/modes/thread_index_mode.rb".freeze, "lib/sup/modes/thread_view_mode.rb".freeze, "lib/sup/person.rb".freeze, "lib/sup/poll.rb".freeze, "lib/sup/rfc2047.rb".freeze, "lib/sup/search.rb".freeze, "lib/sup/sent.rb".freeze, "lib/sup/service/label_service.rb".freeze, "lib/sup/source.rb".freeze, "lib/sup/tagger.rb".freeze, "lib/sup/textfield.rb".freeze, "lib/sup/thread.rb".freeze, "lib/sup/time.rb".freeze, "lib/sup/undo.rb".freeze, "lib/sup/update.rb".freeze, "lib/sup/util.rb".freeze, "lib/sup/util/axe.rb".freeze, "lib/sup/util/locale_fiddler.rb".freeze, "lib/sup/util/ncurses.rb".freeze, "lib/sup/util/path.rb".freeze, "lib/sup/util/query.rb".freeze, "lib/sup/util/uri.rb".freeze, "lib/sup/version.rb".freeze, "man/sup-add.1".freeze, "man/sup-config.1".freeze, "man/sup-dump.1".freeze, "man/sup-import-dump.1".freeze, "man/sup-psych-ify-config-files.1".freeze, "man/sup-recover-sources.1".freeze, "man/sup-sync-back-maildir.1".freeze, "man/sup-sync.1".freeze, "man/sup-tweak-labels.1".freeze, "man/sup.1".freeze, "shell.nix".freeze, "sup.gemspec".freeze, "test/dummy_source.rb".freeze, "test/fixtures/bad-content-transfer-encoding-1.eml".freeze, "test/fixtures/binary-content-transfer-encoding-2.eml".freeze, "test/fixtures/blank-header-fields.eml".freeze, "test/fixtures/contacts.txt".freeze, "test/fixtures/embedded-message.eml".freeze, "test/fixtures/mailing-list-header.eml".freeze, "test/fixtures/malicious-attachment-names.eml".freeze, "test/fixtures/missing-from-to.eml".freeze, "test/fixtures/missing-line.eml".freeze, "test/fixtures/multi-part-2.eml".freeze, "test/fixtures/multi-part.eml".freeze, "test/fixtures/no-body.eml".freeze, "test/fixtures/non-ascii-header-in-nested-message.eml".freeze, "test/fixtures/non-ascii-header.eml".freeze, "test/fixtures/rfc2047-header-encoding.eml".freeze, "test/fixtures/simple-message.eml".freeze, "test/fixtures/text-attachments-with-charset.eml".freeze, "test/fixtures/utf8-header.eml".freeze, "test/fixtures/zimbra-quote-with-bottom-post.eml".freeze, "test/gnupg_test_home/.gpg-v21-migrated".freeze, "test/gnupg_test_home/gpg.conf".freeze, "test/gnupg_test_home/private-keys-v1.d/306D2EE90FF0014B5B9FD07E265C751791674140.key".freeze, "test/gnupg_test_home/pubring.gpg".freeze, "test/gnupg_test_home/receiver_pubring.gpg".freeze, "test/gnupg_test_home/receiver_secring.gpg".freeze, "test/gnupg_test_home/regen_keys.sh".freeze, "test/gnupg_test_home/secring.gpg".freeze, "test/gnupg_test_home/sup-test-2@foo.bar.asc".freeze, "test/integration/test_maildir.rb".freeze, "test/integration/test_mbox.rb".freeze, "test/integration/test_sup-add.rb".freeze, "test/integration/test_sup-sync-back-maildir.rb".freeze, "test/test_crypto.rb".freeze, "test/test_header_parsing.rb".freeze, "test/test_helper.rb".freeze, "test/test_message.rb".freeze, "test/test_messages_dir.rb".freeze, "test/test_yaml_regressions.rb".freeze, "test/unit/service/test_label_service.rb".freeze, "test/unit/test_contact.rb".freeze, "test/unit/test_horizontal_selector.rb".freeze, "test/unit/test_locale_fiddler.rb".freeze, "test/unit/test_person.rb".freeze, "test/unit/util/test_query.rb".freeze, "test/unit/util/test_string.rb".freeze, "test/unit/util/test_uri.rb".freeze]
  s.homepage = "https://sup-heliotrope.github.io/".freeze
  s.licenses = ["GPL-2.0".freeze]
  s.post_install_message = "SUP: please note that our old mailing lists have been shut down,\n     re-subscribe to supmua@googlegroups.com to discuss and follow\n     updates on sup (send email to: supmua+subscribe@googlegroups.com).\n\n     OpenBSD users:\n     If your operating system is OpenBSD you have some\n     additional, manual steps to do before Sup will work, see:\n     https://github.com/sup-heliotrope/sup/wiki/Installation%3A-OpenBSD.\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.4.20".freeze
  s.summary = "A console-based email client with the best features of GMail, mutt and Emacs".freeze
  s.test_files = ["test/dummy_source.rb".freeze, "test/fixtures/bad-content-transfer-encoding-1.eml".freeze, "test/fixtures/binary-content-transfer-encoding-2.eml".freeze, "test/fixtures/blank-header-fields.eml".freeze, "test/fixtures/contacts.txt".freeze, "test/fixtures/embedded-message.eml".freeze, "test/fixtures/mailing-list-header.eml".freeze, "test/fixtures/malicious-attachment-names.eml".freeze, "test/fixtures/missing-from-to.eml".freeze, "test/fixtures/missing-line.eml".freeze, "test/fixtures/multi-part-2.eml".freeze, "test/fixtures/multi-part.eml".freeze, "test/fixtures/no-body.eml".freeze, "test/fixtures/non-ascii-header-in-nested-message.eml".freeze, "test/fixtures/non-ascii-header.eml".freeze, "test/fixtures/rfc2047-header-encoding.eml".freeze, "test/fixtures/simple-message.eml".freeze, "test/fixtures/text-attachments-with-charset.eml".freeze, "test/fixtures/utf8-header.eml".freeze, "test/fixtures/zimbra-quote-with-bottom-post.eml".freeze, "test/gnupg_test_home/.gpg-v21-migrated".freeze, "test/gnupg_test_home/gpg.conf".freeze, "test/gnupg_test_home/private-keys-v1.d/306D2EE90FF0014B5B9FD07E265C751791674140.key".freeze, "test/gnupg_test_home/pubring.gpg".freeze, "test/gnupg_test_home/receiver_pubring.gpg".freeze, "test/gnupg_test_home/receiver_secring.gpg".freeze, "test/gnupg_test_home/regen_keys.sh".freeze, "test/gnupg_test_home/secring.gpg".freeze, "test/gnupg_test_home/sup-test-2@foo.bar.asc".freeze, "test/integration/test_maildir.rb".freeze, "test/integration/test_mbox.rb".freeze, "test/integration/test_sup-add.rb".freeze, "test/integration/test_sup-sync-back-maildir.rb".freeze, "test/test_crypto.rb".freeze, "test/test_header_parsing.rb".freeze, "test/test_helper.rb".freeze, "test/test_message.rb".freeze, "test/test_messages_dir.rb".freeze, "test/test_yaml_regressions.rb".freeze, "test/unit/service/test_label_service.rb".freeze, "test/unit/test_contact.rb".freeze, "test/unit/test_horizontal_selector.rb".freeze, "test/unit/test_locale_fiddler.rb".freeze, "test/unit/test_person.rb".freeze, "test/unit/util/test_query.rb".freeze, "test/unit/util/test_string.rb".freeze, "test/unit/util/test_uri.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<ncursesw>.freeze, ["~> 1.4.0"])
  s.add_runtime_dependency(%q<rmail>.freeze, [">= 1.1.2", "< 2"])
  s.add_runtime_dependency(%q<highline>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<optimist>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<lockfile>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<mime-types>.freeze, ["> 2.0"])
  s.add_runtime_dependency(%q<locale>.freeze, ["~> 2.0"])
  s.add_runtime_dependency(%q<chronic>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<unicode>.freeze, ["~> 0.4.4"])
  s.add_runtime_dependency(%q<unicode-display_width>.freeze, [">= 0"])
  s.add_development_dependency(%q<bundler>.freeze, [">= 1.3", "< 3"])
  s.add_development_dependency(%q<rake>.freeze, [">= 0"])
  s.add_development_dependency(%q<minitest>.freeze, ["~> 5.5"])
  s.add_development_dependency(%q<rr>.freeze, ["~> 1.1"])
  s.add_development_dependency(%q<gpgme>.freeze, [">= 2.0.2"])
  s.add_development_dependency(%q<pry>.freeze, [">= 0"])
  s.add_development_dependency(%q<rubocop-packaging>.freeze, [">= 0"])
end
